Name: 		jeta
Version:	1.0
Release:	5%{?dist}
Summary:	Horde Java SSH module

Source0:	ftp://ftp.horde.org/pub/%{name}/%{name}-h3-%{version}.tar.gz
Patch0:		nojta.patch
Group:		Applications/Internet
# No version is specified.
License:	GPL+
URL:		http://www.horde.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	gettext
Requires:	php >= 4.3.0
Requires:	horde >= 3

%description
Jeta is the Horde module that provides a Java SSH interface to login to the
webserver (or another server with the use of additional relay software).

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with jeta)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-h3-%{version}

# JTA isn't OSI (non-commercial only), so get rid of it
%patch0 -p0
rm jar/jta26.jar
rm jar/jta.conf

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/horde/%{name}
# Copy eveything... except config and docs
cp -a * %{buildroot}%{_datadir}/horde/%{name}
rm -rf %{buildroot}%{_datadir}/horde/%{name}/config/
rm -rf %{buildroot}%{_datadir}/horde/%{name}/docs/
rm %{buildroot}%{_datadir}/horde/%{name}/COPYING
rm %{buildroot}%{_datadir}/horde/%{name}/README*

# Copy locale *.mo files into /usr/share/locale
for lang in %{buildroot}%{_datadir}/horde/%{name}/locale/*; do
	mkdir -p %{buildroot}%{_datadir}/locale/`basename $lang`/LC_MESSAGES
	if [ -f $lang/LC_MESSAGES/*.mo ]; then
		for file in $lang/LC_MESSAGES/*.mo; do
			cp -a $file %{buildroot}%{_datadir}/locale/`basename $lang`/LC_MESSAGES/
		done
	fi
done
%find_lang %{name}

# Put our config files in /etc/horde/ingo and make symlinks
install -m 0770 -d %{buildroot}%{_sysconfdir}/horde/%{name}
cp -a config/* %{buildroot}%{_sysconfdir}/horde/%{name}
ln -fs ../../../..%{_sysconfdir}/horde/%{name} %{buildroot}%{_datadir}/horde/%{name}/config

# Create default config files
pushd %{buildroot}%{_sysconfdir}/horde/%{name}
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done
popd

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
# Include top level with %dir so not all files are sucked in
%{_datadir}/horde/%{name}

# Mark documentation files with %doc and %docdir
%doc docs/
%doc COPYING
%doc README

# Mark configuration files with %config and use secure permissions
# (note that .dist and .xml files are not user-edited and may change each
#	release, so we don't mark noreplace)
%attr(0770,apache,apache) %config %dir %{_sysconfdir}/horde/%{name}
%attr(0640,apache,apache) %config %{_sysconfdir}/horde/%{name}/*.dist
%attr(0660,apache,apache) %config(noreplace) %{_sysconfdir}/horde/%{name}/*.php
%attr(0660,apache,apache) %config %{_sysconfdir}/horde/%{name}/*.xml

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-2
- fix license tag

* Sun Jan 28 2007 Brandon Holbrook <fedora at theholbrooks.org> 1.0-1
- Update to 1.0 final

* Fri Dec 29 2006 Brandon Holbrook <fedora at theholbrooks.org> 0-1.0.rc2.1
- Initial RPM
